#!/bin/sh
#
# start script (java 1.4.x oder neuer)
#
JAVA_BIN=java
JAVA_INC=../../JavaVersion1.4.rc
if test -f $JAVA_INC
then
    # include JAVA_HOME definition file
    . $JAVA_INC
    export JAVA_HOME
    export JAVA_BIN=$JAVA_HOME/bin/java
fi

echo $JAVA_HOME

# add auerswald shared libraries directory
AU_LIBPATH=`pwd`
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${AU_LIBPATH}

# Select 32 or 64 bit Libraries
AU_LIB_ARCH=`uname -m`
ln -s -f libAuerUsbJNINative-$AU_LIB_ARCH.so libAuerUsbJNINative.so

# application output (stdout & stderr)
OUT=/dev/null
#OUT=error.log

# JVM arguments (memory settings)
#JVM_ARGS="-Xms32M -Xmx64M" -Djava.library.path=${AU_LIBPATH}
JVM_ARGS=-Djava.library.path=${AU_LIBPATH}

# start the application
exec $JAVA_BIN $JVM_ARGS -cp $LOCAL_CLASSPATH \
    $MAIN_JAVA_CLASS > $OUT 2>&1
